---
updatedAt: 2026-03-10T15:45:32.000Z
agentTools:
  projectIndex: https://docs.figment.io/llms.txt
---

# Pagination

Endpoints that return lists of objects support **page-based pagination** requests.

### Request

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Parameter
      </th>

      <th style={{ textAlign: "left" }}>
        Type
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        `page[number]`
      </td>

      <td style={{ textAlign: "left" }}>
        `number`
      </td>

      <td style={{ textAlign: "left" }}>
        The page number
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        `page[size]`
      </td>

      <td style={{ textAlign: "left" }}>
        `number`
      </td>

      <td style={{ textAlign: "left" }}>
        The number of items to include in the response.  
        Default is 50, max is 100. If a number above max is passed, default will be returned.
      </td>
    </tr>
  </tbody>
</Table>

For example, a GET request will contain query parameters like, `?page[number]=1&?page[size]=10`. POST requests that use pagination require the page object in the request body:

```json JSON
{
  "page": {
    "number": 2,
    "size": 10
  }
}
```

### Response

In the example below there are 40 items total, broken down in 4 pages of 10 items each.

```json JSON
{
  "data": [ "..." ],
  "meta": {
    "pagination": {
      "current_page": 1,
      "total_pages": 4,
      "total_item_count": 40
    }
  }
}
```